<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="//stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <style>

      .styled-table {
          border-collapse: collapse;
          margin: 25px 0;
          font-size: 0.9em;
          font-family: sans-serif;
          min-width: 400px;
          box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
          margin: auto;
          width: auto;
          padding: 30px;
          }
      .styled-table thead tr {
            background-color: #009879;
            color: #ffffff;
            text-align: center;
            font-size: 20px;
          }
      .styled-table th,
      .styled-table td {
        padding: 12px 15px;
          }
      .styled-table tbody tr {
          border-bottom: 1px solid #dddddd;
      }

      .styled-table tbody tr:nth-child(even) {
          background-color: #f3f3f3;
      }

      .styled-table tbody tr:last-of-type {
          border-bottom: 2px solid #009879;
      }
      .styled-table tbody tr.active-row {
          font-weight: bold;
          color: #009879;
      
      }

    </style>

    
    <!--link rel="stylesheet" href="/static/style.css"-->

    <title>Image Prediction using PyTorch</title>
  </head>
  <body class="text-center">
    <form class="form-signin" method=post enctype=multipart/form-data>
        <img class="mb-4" src="static/Picture1.png" alt="" width="500">

        <h1 class="h3 mb-3 font-weight-normal">Results</h1>
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Fish or No-fish</th>
              <th>Species</th>
              <th>Country</th>
              <th>Fishing Ground</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
          <tbody>
            {% for item in Final_result %}
              <tr>
                <td>{{ item[0] }}</td>
                <td>{{ item[1] }}</td>
                <td>{{ item[2] }}</td>
                <td>{{ item[3] }}</td>
                <td>{{ item[4] }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
        <br>
        <br>
        <h1 class="h3 mb-3 font-weight-normal">Fish Detection</h1>
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Confidence</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
         <tbody>
          {% for item in Fish %}
              <tr>
                <td>{{ item['id'] }}</td>
                <td>{{ item['confidence'] }}</td>
              </tr>
         {% endfor %}
          </tbody>
        </table>
        <br>
        <br>
        <h1 class="h3 mb-3 font-weight-normal">Prediction of Species</h1>
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Lane Snapper</th>
              <th>White Grunt</th>
              <th>Yellow Snapper</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
          <tbody>
            {% for item in Species %}
              <tr>
                <td>{{ item['id'] }}</td>
                <td>{{ item['Lane snapper'] }}</td>
                <td>{{ item['White grunt'] }}</td>
                <td>{{ item['Yellow snapper'] }}</td>
              </tr>
         {% endfor %}
          </tbody>
        </table>
        <br>
        <br>
        <h1 class="h3 mb-3 font-weight-normal">Prediction of Country (Yellow Snapper)</h1>
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Belize</th>
              <th>Honduras</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
         <tbody>
          {% for item in Country_ys %}
              <tr>
                <td>{{ item['id'] }}</td>
                <td>{{ item['Belize'] }}</td>
                <td>{{ item['Honduras'] }}</td>
              </tr>
         {% endfor %}
          </tbody>
        </table>
        <br>
        <br>
        <h1 class="h3 mb-3 font-weight-normal">Prediction of Country (White Grunt)</h1>
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Belize</th>
              <th>Honduras</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
          <tbody>
          {% for item in Country_wg %}
              <tr>
                <td>{{ item['id'] }}</td>
                <td>{{ item['Belize'] }}</td>
                <td>{{ item['Honduras'] }}</td>
              </tr>
         {% endfor %}
          </tbody>
        </table>
        <br>
        <br>
        <h1 class="h3 mb-3 font-weight-normal">Prediction of Fishing Ground (Yellow Snapper)</h1>
        <!--h5 class="h5 mb-3 font-weight-normal">Image ID: {{ id }}</h5-->
        <table class="styled-table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Banco Tino</th>
              <th>Seco en Medio</th>
            </tr>
          </thead>
         {# here we iterate over every item in our list#}
         <tbody>
          {% for item in Fishing_ground %}
              <tr>
                <td>{{ item['id'] }}</td>
                <td>{{ item['Banco Tino'] }}</td>
                <td>{{ item['Seco en Medio'] }}</td>
              </tr>
         {% endfor %}
          </tbody>
        </table>
        <!--h5 class="h5 mb-3 font-weight-normal">Belize: {{ Belize }}</h5>
        <h5 class="h5 mb-3 font-weight-normal">Honduras: {{ Honduras }}</h5-->
        <p class="mt-5 mb-3 text-muted">Built using Pytorch, Flask and Love</p>
    <!--/form-->
    <script src="//code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="//stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    <!-- Github Ribbon Start-->
    <a href="https://github.com/avinassh/pytorch-flask-api-heroku" class="github-corner"><svg width="80" height="80" viewBox="0 0 250 250" style="fill:#0E2E3B; color:#FFFFFF; position: absolute; top: 0; border: 0; right: 0;"><path d="M0,0 L115,115 L130,115 L142,142 L250,250 L250,0 Z"></path><path d="M128.3,109.0 C113.8,99.7 119.0,89.6 119.0,89.6 C122.0,82.7 120.5,78.6 120.5,78.6 C119.2,72.0 123.4,76.3 123.4,76.3 C127.3,80.9 125.5,87.3 125.5,87.3 C122.9,97.6 130.6,101.9 134.4,103.2" fill="currentColor" style="transform-origin: 130px 106px;" class="octo-arm"></path><path d="M115.0,115.0 C114.9,115.1 118.7,116.5 119.8,115.4 L133.7,101.6 C136.9,99.2 139.9,98.4 142.2,98.6 C133.8,88.0 127.5,74.4 143.8,58.0 C148.5,53.4 154.0,51.2 159.7,51.0 C160.3,49.4 163.2,43.6 171.4,40.1 C171.4,40.1 176.1,42.5 178.8,56.2 C183.1,58.6 187.2,61.8 190.9,65.4 C194.5,69.0 197.7,73.2 200.1,77.6 C213.8,80.2 216.3,84.9 216.3,84.9 C212.7,93.1 206.9,96.0 205.4,96.6 C205.1,102.4 203.0,107.8 198.3,112.5 C181.9,128.9 168.3,122.5 157.7,114.1 C157.9,116.9 156.7,120.9 152.7,124.9 L141.0,136.5 C139.8,137.7 141.6,141.9 141.8,141.8 Z" fill="currentColor" class="octo-body"></path></svg></a><style>.github-corner:hover .octo-arm{animation:octocat-wave 560ms ease-in-out}@keyframes octocat-wave{0%,100%{transform:rotate(0)}20%,60%{transform:rotate(-25deg)}40%,80%{transform:rotate(10deg)}}@media (max-width:500px){.github-corner:hover .octo-arm{animation:none}.github-corner .octo-arm{animation:octocat-wave 560ms ease-in-out}}</style>
    <!-- Github Ribbon End-->
  </body>
</html>